osgViewer::GraphicsHandleCocoa Class Reference

`#include <GraphicsHandleCocoa>`

## Public Member Functions

| GraphicsHandleCocoa ()
void | setNSOpenGLContext (NSOpenGLContext *context)
NSOpenGLContext * | getNSOpenGLContext () const

## Protected Attributes

NSOpenGLContext * | _context

## Detailed Description

Class to encapsulate platform-specific OpenGL context handle variables. Derived osg::GraphicsContext classes can inherit from this class to share OpenGL resources.

## Constructor & Destructor Documentation

## GraphicsHandleCocoa()

osgViewer::GraphicsHandleCocoa::GraphicsHandleCocoa | ( |  | ) |

inline

References _context.

## Member Function Documentation

## getNSOpenGLContext()

NSOpenGLContext * osgViewer::GraphicsHandleCocoa::getNSOpenGLContext | ( |  | ) | const

inline

Get native AGL graphics context.

References _context.

## setNSOpenGLContext()

void osgViewer::GraphicsHandleCocoa::setNSOpenGLContext | ( | NSOpenGLContext * | context | ) |

inline

Set native AGL graphics context.

References _context.

## Member Data Documentation

## _context

NSOpenGLContext* osgViewer::GraphicsHandleCocoa::_context

protected

Referenced by getNSOpenGLContext(), GraphicsHandleCocoa(), and setNSOpenGLContext().

The documentation for this class was generated from the following file:

- GraphicsHandleCocoa